# Class: Haml::Filters::Base

Inherits:
  Object
  - Object
  - Haml::Filters::Base
  show all

Defined in:
  lib/haml/filters/base.rb

## Direct Known Subclasses

Escaped, Plain, Preserve, Ruby, TextBase, TiltBase

## Instance Method Summary collapse

- #initialize(options = {}) ⇒ Base constructor

  A new instance of Base.

## Constructor Details

### #initialize(options = {}) ⇒ `Base`

Returns a new instance of Base.

    7
    8
    9

    # File 'lib/haml/filters/base.rb', line 7

    def initialize(options = {})
      @format = options[:format]
    end